import { BaseComponent } from './base_component.js';
import type { Component } from '../types.js';
export declare class HaProxyComponent extends BaseComponent {
    constructor(name: string, cluster: string, namespace: string);
    /** Handles creating instance of the class from plain object. */
    static fromObject(component: Component): HaProxyComponent;
}
